%define name	gtk-gnutella
%define version	1.1.14
%define release	%mkrel 1
%define summary	Gnutella GTK client

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	%{summary}
Summary(de):	Gnutella GTK-Klient
License: 	GPL
Group: 		Networking/File transfer
Source: 	%{name}-%{version}.tar.xz
Source1:	%{name}-remote-shell.txt.bz2
Source10:	%{name}.16.png
Source11:	%{name}.32.png
Source12:	%{name}.48.png
Patch1: gtk-gnutella-1.1.13-statx.patch
URL: 		http://gtk-gnutella.sourceforge.net
BuildRoot: 	%{_tmppath}/%{name}-buildroot
#-------------------------------------------------------------------
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	atk-devel
BuildRequires:	cairo-devel
BuildRequires:	dbus-devel
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
BuildRequires: 	%{_lib}binutils-devel
BuildRequires: 	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: 	%{_lib}glib2.0-devel
BuildRequires: 	%{_lib}gnutls-devel
BuildRequires: 	%{_lib}gtk+2.0_0-devel
BuildRequires: 	%{_lib}intl8
BuildRequires: 	%{_lib}pango1.0-devel 
BuildRequires:	%{_lib}xml2-devel
BuildRequires: 	desktop-file-utils
#-------------------------------------------------------------------

%description
Gtk-gnutella is a client of Gnutella network (http://www.gnutella.com/).
It's a fully-featured servent, designed to share any type of file.
Gtk-gnutella implements compressed connections, ultrapeer and leaf 
nodes, Passive/Active Remote Queueing (PARQ), and other modern 
gnutella network features.

%description -l de
Gtk-gnutella ist ein Klient für das Gnutella-Netzwerk (http://www.gnutella.com/). 
Es ist ein vollständiger "Diener", der entstanden ist um jeden Dateityp zu teilen.
Gtk-gnutella implementiert komprimierte Verbindungen, Ultrapeer und Blatt-Knoten, 
Passive / Active Remote Queueing (PARQ), und andere moderne Gnutella-Netzwerk-Funktionen.

%prep
%setup -q -n %name-%version
%apply_patches

%build
./Configure -Dprefix=%_prefix/ -Dbindir=%_bindir/ -Dprivlib=%_datadir/%name/ \
        -Dsysman=%_mandir/man1/ -Ucc="$CC" -Dccflags="-Wall $CFLAGS" \
        -Doptimize="%optflags" -Dgtkversion=2 -Dremotectrl=true -Dgtkpackage=gtk+-2.0 \
        -Dofficial=true -ders 

make -j1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir $RPM_BUILD_ROOT/%_mandir/man1
make install INSTALL_PREFIX=$RPM_BUILD_ROOT
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

# extra docs
bunzip2 -c %{SOURCE1} > remote-shell.txt

# icons
install -D -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

# menu entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS LICENSE ChangeLog
%doc remote-shell.txt
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/pixmaps/*
%{_datadir}/appdata/gtk-gnutella.appdata.xml
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Oct 21 2018 tex 1.1.14-1pclos2018
- new version: 1.1.14

* Sat Mar 18 2017 bb2 <bb2> - 1.1.11-1pclos2017
- new version for new gnutls

* Sat Feb 06 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.8-1pclos2016
- 1.1.8
- remove duplecated BRs
- add missing BR desktop-file-utils

* Sun Mar 22 2015 bb <bb> 1.1.2-1pclos2015
- update

* Thu Jul 31 2014 ghostbunny <ghostbunny at gmx dot de> 1.1.0-1pclos2014
- 1.1.0
- add BR libpthread-stubs

* Wed Jan 08 2014 ghostbunny <ghostbunny at gmx dot de> 1.0.1-1pclos2014
- 1.0.1
- fix BRs

